import javafx.scene.paint.Color;
import javax.swing.*;

import java.awt.Event;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.math.*;
import java.util.*;

/**
* Clase nombre. Ventana que pregunta y almacena el nombre del jugador
*/
public class nombre extends JFrame implements ActionListener{
	
/**
* Panel que se agrega
*/
	JPanelBackground panel;
	
	private JTextField textfield1;
    private JLabel label1;
    private JButton boton1;
/**
* Randomizador
*/    
    int rand=3;
/**
* Constructor de clase nombre
*/
	public nombre(){

///////// Se setean las propiedades del panel /////////////	
	panel = new JPanelBackground();
	panel.setLayout(null);
	panel.setBackground("steampunk.jpg");
		
	panel.setLayout(null);
	this.setTitle("¿Como te llamas?");
	this.setVisible(true);
	this.setBounds(250, 250, 500, 500);
	this.setExtendedState(MAXIMIZED_BOTH);
	this.setResizable(false);
	
	label1=new JLabel("¿Como te llamas?");
    label1.setBounds(610,270,200,30);
   
    textfield1=new JTextField();
    textfield1.setBounds(600,300,150,20);
   
    boton1 = new JButton(new ImageIcon("b1.png"));
	boton1.setRolloverIcon(new ImageIcon("b2.png"));
	boton1.setBorderPainted(false);
	boton1.setBounds(600, 400, 180, 138); //x,y,tamaños(x,y)
    boton1.addActionListener(this);
	
    this.add(panel);
    panel.add(label1);
    panel.add(textfield1);
    panel.add(boton1);
	
	this.setDefaultCloseOperation(this.EXIT_ON_CLOSE); ////cierra el proceso de java
	}
/**
* Se realiza el evento
* @param arg0 Evento a realizar
*/
	///////////////////////////////////////////////////////////////////////////////////////////////////
	
	public void actionPerformed(ActionEvent arg0) {
		
		if(arg0.getSource().equals(boton1)){
			String cad=textfield1.getText();
    		Inicio2 i2 = new Inicio2(cad);
			this.dispose();
		}
		
	}
}